## retchmail 0.04

=== Makefile ===
ifeq ($(TOPDIR),)
 TOPDIR=.
 PKGINC=/usr/include/wvstreams /usr/local/include/wvstreams
endif

include $(TOPDIR)/wvrules.mk

XPATH=.. ../wvstreams/include $(PKGINC)

# List of library directories for SSLeay.  Add yours to the list.
# Don't forget the -L before each directory name!
SSLLIB= -L/usr/lib/ssl -L/usr/lib/ssleay -L/usr/local/lib/ssleay \
	-L/usr/local/ssl -L/usr/local/ssl/lib -L/usr/local/ssleay -lssl

WVLIB= -L../wvstreams -lwvstreams -lwvutils

default: retchmail
all: retchmail

LIBS = ${EFENCE}
LDFLAGS += -rdynamic

retchmail-LIBS+=${WVLIB} ${SSLLIB} 
retchmail:

install: install-bin install-man

install-bin: all
	[ -d ${prefix}/bin ] || install -d ${prefix}/bin
	install -m 0755 retchmail ${prefix}/bin

install-man:
	[ -d ${prefix}/share/man ] || install -d ${prefix}/share/man
	[ -d ${prefix}/share/man/man1 ] || install -d ${prefix}/share/man/man1
	[ -d ${prefix}/share/man/man5 ] || install -d ${prefix}/share/man/man5
	install -m 0644 retchmail.1 ${prefix}/share/man/man1
	install -m 0644 retchmailrc.5 ${prefix}/share/man/man5

clean:
	rm -f retchmail

.PHONY: install install-bin install-man clean

## retchmail 0.09

=== Makefile ===
ifeq ($(TOPDIR),)
 TOPDIR=.
 prefix=/usr/local
 WVSTREAMS_INC=$(prefix)/include/wvstreams
 WVSTREAMS_LIB=$(prefix)/lib
 WVSTREAMS_BIN=$(prefix)/bin
 WVSTREAMS_SRC=.
else
 XPATH=..
endif

include $(TOPDIR)/wvrules.mk

default: retchmail
all: retchmail

#LIBS += ${EFENCE}
LDFLAGS += -rdynamic

retchmail-LIBS+=$(LIBUNICONF) ${LIBWVSTREAMS} $(LIBWVUTILS)
retchmail: retchmail.o wvpopclient.o wvsendmail.o -luniconf

install: install-bin install-man

install-bin: all
	[ -d ${prefix}/bin ] || install -d ${prefix}/bin
	install -m 0755 retchmail ${prefix}/bin

install-man:
	[ -d ${prefix}/share/man ] || install -d ${prefix}/share/man
	[ -d ${prefix}/share/man/man1 ] || install -d ${prefix}/share/man/man1
	[ -d ${prefix}/share/man/man5 ] || install -d ${prefix}/share/man/man5
	install -m 0644 retchmail.1 ${prefix}/share/man/man1
	install -m 0644 retchmailrc.5 ${prefix}/share/man/man5

clean:
	rm -f retchmail

.PHONY: install install-bin install-man clean

## retchmail 1.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,25 @@
 ifeq ($(TOPDIR),)
  TOPDIR=.
+
  prefix=/usr/local
- WVSTREAMS_INC=$(prefix)/include/wvstreams
- WVSTREAMS_LIB=$(prefix)/lib
+ WVSTREAMS_INC=
+ WVSTREAMS_LIB=
  WVSTREAMS_BIN=$(prefix)/bin
  WVSTREAMS_SRC=.
+
+ PC_CFLAGS=$(shell pkg-config --cflags libwvstreams)
+ ifeq ($(PC_CFLAGS),)
+  $(error WvStreams does not appear to be installed)
+ endif
+ CPPFLAGS+=$(PC_CFLAGS)
+
+ PC_LIBS=$(shell pkg-config --libs libwvstreams)
+ ifeq ($(PC_LIBS),)
+  $(error WvStreams does not appear to be installed)
+ endif
+ LIBS+=$(PC_LIBS)
 else
- XPATH=..
+ XPATH=$(TOPDIR)/src
 endif
 
 include $(TOPDIR)/wvrules.mk
@@ -17,7 +30,9 @@
 #LIBS += ${EFENCE}
 LDFLAGS += -rdynamic
 
+ifneq ($(WVSTREAMS_LIB),)
 retchmail-LIBS+=$(LIBUNICONF) ${LIBWVSTREAMS} $(LIBWVUTILS)
+endif
 retchmail: retchmail.o wvpopclient.o wvsendmail.o -luniconf
 
 install: install-bin install-man
@@ -31,7 +46,7 @@
 	[ -d ${prefix}/share/man/man1 ] || install -d ${prefix}/share/man/man1
 	[ -d ${prefix}/share/man/man5 ] || install -d ${prefix}/share/man/man5
 	install -m 0644 retchmail.1 ${prefix}/share/man/man1
-	install -m 0644 retchmailrc.5 ${prefix}/share/man/man5
+	install -m 0644 retchmail.conf.5 ${prefix}/share/man/man5
 
 clean:
 	rm -f retchmail

## retchmail 1.1

=== Makefile ===

prefix=/usr/local
WVSTREAMS_INC=
WVSTREAMS_LIB=
WVSTREAMS_BIN=$(prefix)/bin
WVSTREAMS_SRC=.

PC_CFLAGS=$(shell pkg-config --cflags libwvstreams)
ifeq ($(PC_CFLAGS),)
 $(error WvStreams does not appear to be installed)
endif
CPPFLAGS+=$(PC_CFLAGS)

PC_LIBS=$(shell pkg-config --libs libwvstreams)
ifeq ($(PC_LIBS),)
 $(error WvStreams does not appear to be installed)
endif
LIBS+=$(PC_LIBS)

include wvrules.mk

default: retchmail
all: retchmail

#LIBS += ${EFENCE}
LDFLAGS += -rdynamic

ifneq ($(WVSTREAMS_LIB),)
retchmail-LIBS+=$(LIBUNICONF) ${LIBWVSTREAMS} $(LIBWVUTILS)
endif
retchmail: LDFLAGS=-luniconf
retchmail: retchmail.o wvpopclient.o wvsendmail.o

install: install-bin install-man

install-bin: all
	[ -d ${prefix}/bin ] || install -d ${prefix}/bin
	install -m 0755 retchmail ${prefix}/bin

install-man:
	[ -d ${prefix}/share/man ] || install -d ${prefix}/share/man
	[ -d ${prefix}/share/man/man1 ] || install -d ${prefix}/share/man/man1
	[ -d ${prefix}/share/man/man5 ] || install -d ${prefix}/share/man/man5
	install -m 0644 retchmail.1 ${prefix}/share/man/man1
	install -m 0644 retchmail.conf.5 ${prefix}/share/man/man5

clean:
	rm -f retchmail

.PHONY: install install-bin install-man clean

=== debian/changelog ===
retchmail (1:1.1) unstable; urgency=low

  * New upstream version.  (Closes: #407873)

 -- Patrick Patterson <ppatters@debian.org>  Sat, 22 Dec 2007 15:16:09 -0700

retchmail (1:1.0-1) unstable; urgency=low

  * New upstream version.

 -- Simon Law <sfllaw@debian.org>  Tue, 22 Nov 2005 20:58:10 -0500

retchmail (1:0.09-3) unstable; urgency=low

  * Update config documentation. (Closes: #302884)

 -- James Morrison <phython@debian.org>  Sun,  3 Apr 2005 13:19:30 -0400

retchmail (1:0.09-2) unstable; urgency=low

  * Only use low bits of WvLog pointer in WvHash function. (Closes: #302372)
  * Use xplc 0.3.11.

 -- James Morrison <phython@debian.org>  Sat,  2 Apr 2005 11:23:20 -0500

retchmail (1:0.09-1) unstable; urgency=low

  * New upstream release.  (Closes: #290999)

 -- James Morrison <phython@debian.org>  Wed, 22 Mar 2004 22:16:03 -0500

retchmail (1:0.04-2) unstable; urgency=low

  * Don't call callbacks when they are empty. (Closes: #232469)

 -- James Morrison <phython@debian.org>  Wed,  3 Mar 2004 17:16:03 -0500

retchmail (1:0.04-1) unstable; urgency=low

  * New upstream release.

 -- James A. Morrison <phython@debian.org>  Sun, 15 Feb 2004 13:34:48 -0500

retchmail (1:0.03+20031110-1) unstable; urgency=low

  * Fix Build-Depends.

 -- James Morrison <phython@debian.org>  Mon, 10 Nov 2003 10:17:17 -0500

retchmail (1:0.03+20031017-1) unstable; urgency=low

  * Synchronize with upstream CVS.

 -- James A. Morrison <phython@debian.org>  Fri, 17 Oct 2003 17:48:36 -0400

retchmail (0.3) unstable; urgency=high

  * Synchronize with libwvstreams 3.71

  * Make it so that we handle email addresses with @ in them

  * Handle APOP thanks to a patch from markj@cloaked.freeserve.co.uk

  * Fixes core-dump on certain messages

  * Debian Packaging Fixes (Closes: #142527, #142567)

 -- Patrick Patterson <ppatters@nit.ca>  Mon, 29 Jul 2002 18:39:51 -0400

retchmail (0.2) unstable; urgency=low

  * Synchronise with libwvstreams

  * Debian Packaging Fixes

  * Initial Debian release (Closes: #138948)

 -- Patrick Patterson <ppatters@debian.org>  Mon, 28 Jan 2002 14:01:04 -0500

retchmail (0.1) unstable; urgency=low

  * Initial Release.

 -- Patrick Patterson <ppatters@nit.ca>  Mon, 28 Jan 2002 14:01:04 -0500

=== debian/control ===
Source: retchmail
Section: mail
Priority: optional
Maintainer: Simon Law <sfllaw@debian.org>
Uploaders: James Morrison <phython@debian.org>, Patrick Patterson <ppatters@debian.org>
Build-Depends: debhelper (>> 4.0), libwvstreams-dev (>= 4.4), libssl-dev, pkg-config
Standards-Version: 3.7.3

Package: retchmail
Architecture: any
Depends: ${shlibs:Depends}
Provides: popclient
Description: Stupidly fast POP3 retriever
 Retchmail is the world's most stupidly fast POP3 retriever.  It supports
 simultaneous POP3 and POP3S mail retrieval from multiple sites to multiple
 mailboxes.  Retchmail is good for quick retrieval of e-mail if you do not
 need the features of other, more comprehensive, retrievers like Fetchmail.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvStreams, using debhelper. 
#
# Modified by Avery Pennarun from the debhelper sample, which was
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) prefix=/usr \
		VERBOSE=1 \
		CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=`pwd`/debian/retchmail/usr \
		install
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
